> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Export

> Generate and return an export file for a price batch.



## OpenAPI

````yaml /openapi/merchantops-public.json post /api/pricing/export
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/pricing/export:
    post:
      tags:
        - Pricing
        - Pricing
        - Pricing Export
      summary: Generate Export
      description: Generate and return an export file for a price batch.
      operationId: generate_export
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateExportRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GenerateExportRequest:
      description: Request body for generating a pricing export file.
      properties:
        batch_id:
          description: Batch ID to export
          title: Batch Id
          type: string
        column_mappings:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          description: Optional column mappings for generic_excel format
          title: Column Mappings
        export_format:
          description: 'Export format: oracle, vtex, or generic_excel'
          title: Export Format
          type: string
      required:
        - batch_id
        - export_format
      title: GenerateExportRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````